org.eclipse.emf.compare.provider

## Class SafeAdapterFactoryItemDelegator

- java.lang.Object
- - org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator
  - - org.eclipse.emf.compare.provider.SafeAdapterFactoryItemDelegator

All Implemented Interfaces:
  IEditingDomainItemProvider, IItemColorProvider, IItemFontProvider, IItemLabelProvider, IItemPropertySource, IStructuredItemContentProvider, ITableItemColorProvider, ITableItemFontProvider, ITableItemLabelProvider, ITreeItemContentProvider

    public class SafeAdapterFactoryItemDelegator
    extends AdapterFactoryItemDelegator

A safe `AdapterFactoryItemDelegator`.

This adapter factory item delegator is safe with respect to `missing image resources` that may occur in the item providers in the adapter factory this delegator delegates to.

### Field Summary

### Fields inherited from class org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator

`adapterFactory`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`GRAYED_OUT_COLOR`

### Constructor Summary

Constructors
Constructor and Description
`SafeAdapterFactoryItemDelegator(AdapterFactory adapterFactory)` Creates a new safe adapter factory item delegator with the given `adapterFactory`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getImage(Object object)` However, this method catches `MissingResourceException` potentially thrown in item providers of the adapter factories and returns `null` in case a `MissingResourceException` was caught.

### Methods inherited from class org.eclipse.emf.edit.provider.AdapterFactoryItemDelegator

`createCommand, getAdapterFactory, getBackground, getBackground, getChildren, getColumnImage, getColumnText, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyDescriptors, getText, hasChildren`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SafeAdapterFactoryItemDelegator

    public SafeAdapterFactoryItemDelegator(AdapterFactory adapterFactory)

Creates a new safe adapter factory item delegator with the given `adapterFactory`.

Parameters:
  `adapterFactory` - The adapter factory to delegate to.

### Method Detail

#### getImage

    public Object getImage(Object object)

However, this method catches `MissingResourceException` potentially thrown in item providers of the adapter factories and returns `null` in case a `MissingResourceException` was caught.

Specified by:
  `getImage` in interface `IItemLabelProvider`
Overrides:
  `getImage` in class `AdapterFactoryItemDelegator`